Conversations
Create a conversation comment
POST
/
v1
/
conversations
/
{convID}
/
comments
Create a conversation comment
curl --request POST \
--url https://api.wazapin.com/v1/conversations/{convID}/comments \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"mentions": [
{
"user_id": "<string>",
"user_name": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', mentions: [{user_id: '<string>', user_name: '<string>'}]})
};
fetch('https://api.wazapin.com/v1/conversations/{convID}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/conversations/{convID}/comments"
payload = {
"content": "<string>",
"mentions": [
{
"user_id": "<string>",
"user_name": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"content": "<string>",
"conversation_id": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"created_by_name": "<string>",
"id": "<string>",
"mentions": [
{
"user_id": "<string>",
"user_name": "<string>"
}
],
"organization_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Conversation ID
⌘I
Create a conversation comment
curl --request POST \
--url https://api.wazapin.com/v1/conversations/{convID}/comments \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"mentions": [
{
"user_id": "<string>",
"user_name": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', mentions: [{user_id: '<string>', user_name: '<string>'}]})
};
fetch('https://api.wazapin.com/v1/conversations/{convID}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/conversations/{convID}/comments"
payload = {
"content": "<string>",
"mentions": [
{
"user_id": "<string>",
"user_name": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"content": "<string>",
"conversation_id": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"created_by_name": "<string>",
"id": "<string>",
"mentions": [
{
"user_id": "<string>",
"user_name": "<string>"
}
],
"organization_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}